## org.apache.mahout.fpm.pfpgrowth.convertors
Class TopKPatternsOutputConverter<A extends java.lang.Comparable<? super A>>

    java.lang.Object
      org.apache.mahout.fpm.pfpgrowth.convertors.TopKPatternsOutputConverter<A>

Type Parameters:
  `A` -

All Implemented Interfaces:
  org.apache.hadoop.mapred.OutputCollector<java.lang.Integer,FrequentPatternMaxHeap>

    public final class TopKPatternsOutputConverter<A extends java.lang.Comparable<? super A>>

extends java.lang.Object
implements org.apache.hadoop.mapred.OutputCollector<java.lang.Integer,FrequentPatternMaxHeap>

An output converter which converts the output patterns and collects them in a `FrequentPatternMaxHeap`

Constructor Summary
`TopKPatternsOutputConverter(org.apache.hadoop.mapred.OutputCollector<A,java.util.List<Pair<java.util.List<A>,java.lang.Long>>> collector, java.util.Map<java.lang.Integer,A> reverseMapping)`

Method Summary
`void` `collect(java.lang.Integer key, FrequentPatternMaxHeap value)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TopKPatternsOutputConverter

    public TopKPatternsOutputConverter(org.apache.hadoop.mapred.OutputCollector<A,java.util.List<Pair<java.util.List<A>,java.lang.Long>>> collector,
                                       java.util.Map<java.lang.Integer,A> reverseMapping)

Method Detail

### collect

    public void collect(java.lang.Integer key,
                        FrequentPatternMaxHeap value)
                 throws java.io.IOException

  Specified by:
    `collect` in interface `org.apache.hadoop.mapred.OutputCollector<java.lang.Integer,FrequentPatternMaxHeap>`
  Throws:
    `java.io.IOException`

Copyright © 2008-2010 The Apache Software Foundation. All Rights Reserved.